{
  "codeName" : "AppTestIndexView",
  "controlType" : "APPMENU",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPMENUS/AppTestIndexView.json",
  "logicName" : "应用测试首页视图默认菜单",
  "getPSAppMenuItems" : [ {
    "accUserMode" : 0,
    "caption" : "视图消息",
    "itemType" : "MENUITEM",
    "name" : "menuitem43",
    "getPSAppMenuItems" : [ {
      "accUserMode" : 2,
      "caption" : "基础",
      "itemType" : "MENUITEM",
      "name" : "menuitem44",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0920151005"
      },
      "tooltip" : "基础"
    }, {
      "accUserMode" : 2,
      "caption" : "动态",
      "itemType" : "MENUITEM",
      "name" : "menuitem45",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0920358745"
      },
      "tooltip" : "动态"
    } ],
    "getPSSysImage" : {
      "glyph" : "xf12a@FontAwesome",
      "cssClass" : "fa fa-exclamation"
    },
    "tooltip" : "视图消息"
  }, {
    "accUserMode" : 0,
    "caption" : "视图布局",
    "itemType" : "MENUITEM",
    "name" : "menuitem1",
    "getPSAppMenuItems" : [ {
      "accUserMode" : 2,
      "caption" : "路由编辑视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem2",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc21"
      },
      "getPSSysImage" : {
        "glyph" : "xf1b2@FontAwesome",
        "cssClass" : "fa fa-cube"
      },
      "tooltip" : "路由编辑视图"
    }, {
      "accUserMode" : 2,
      "caption" : "模态编辑视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem3",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc22"
      },
      "tooltip" : "模态编辑视图"
    }, {
      "accUserMode" : 2,
      "caption" : "抽屉编辑视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem4",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc23"
      },
      "tooltip" : "抽屉编辑视图"
    }, {
      "accUserMode" : 2,
      "caption" : "路由表格视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem5",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc24"
      },
      "tooltip" : "路由表格视图"
    }, {
      "accUserMode" : 2,
      "caption" : "模态表格视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem6",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc25"
      },
      "tooltip" : "模态表格视图"
    }, {
      "accUserMode" : 2,
      "caption" : "抽屉表格视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem7",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc26"
      },
      "tooltip" : "抽屉表格视图"
    }, {
      "accUserMode" : 2,
      "caption" : "分页关系视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem8",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc27"
      },
      "getPSSysImage" : {
        "glyph" : "xf207@FontAwesome",
        "cssClass" : "fa fa-bus"
      },
      "tooltip" : "分页关系视图"
    }, {
      "accUserMode" : 2,
      "caption" : "模态分页关系视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem10",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc28"
      },
      "tooltip" : "模态分页关系视图"
    }, {
      "accUserMode" : 2,
      "caption" : "抽屉分页关系视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem9",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc29"
      },
      "tooltip" : "抽屉分页关系视图"
    } ],
    "tooltip" : "视图布局"
  }, {
    "accUserMode" : 2,
    "caption" : "后台调用",
    "itemType" : "MENUITEM",
    "name" : "menuitem46",
    "getPSAppFunc" : {
      "modelref" : true,
      "id" : "UsrAppFunc0925909886"
    },
    "tooltip" : "后台调用"
  }, {
    "accUserMode" : 0,
    "caption" : "工作流",
    "itemType" : "MENUITEM",
    "name" : "menuitem21",
    "getPSAppMenuItems" : [ {
      "accUserMode" : 2,
      "caption" : "工作流发起",
      "itemType" : "MENUITEM",
      "name" : "menuitem22",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0704209389"
      },
      "tooltip" : "工作流发起"
    }, {
      "accUserMode" : 2,
      "caption" : "所有数据",
      "itemType" : "MENUITEM",
      "name" : "menuitem28",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0707791126"
      },
      "tooltip" : "所有数据"
    }, {
      "accUserMode" : 2,
      "caption" : "我的草稿",
      "itemType" : "MENUITEM",
      "name" : "menuitem23",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc75"
      },
      "tooltip" : "我的草稿"
    }, {
      "accUserMode" : 2,
      "caption" : "待办事项",
      "itemType" : "MENUITEM",
      "name" : "menuitem27",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc73"
      },
      "tooltip" : "待办事项"
    }, {
      "accUserMode" : 2,
      "caption" : "我的已建",
      "itemType" : "MENUITEM",
      "name" : "menuitem24",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc72"
      },
      "tooltip" : "我的已建"
    }, {
      "accUserMode" : 2,
      "caption" : "我的已办",
      "itemType" : "MENUITEM",
      "name" : "menuitem25",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc71"
      },
      "tooltip" : "我的已办"
    }, {
      "accUserMode" : 2,
      "caption" : "我的办结",
      "itemType" : "MENUITEM",
      "name" : "menuitem26",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc74"
      },
      "tooltip" : "我的办结"
    } ],
    "tooltip" : "工作流"
  }, {
    "accUserMode" : 0,
    "caption" : "面板",
    "itemType" : "MENUITEM",
    "name" : "menuitem11",
    "getPSAppMenuItems" : [ {
      "accUserMode" : 2,
      "caption" : "实体面板视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem12",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc43"
      },
      "tooltip" : "实体面板视图"
    }, {
      "accUserMode" : 4,
      "accessKey" : "MODULE_ONE",
      "caption" : "列表视图面板",
      "itemType" : "MENUITEM",
      "name" : "menuitem13",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc44"
      },
      "tooltip" : "列表视图面板"
    }, {
      "accUserMode" : 2,
      "caption" : "视图布局面板",
      "itemType" : "MENUITEM",
      "name" : "menuitem14",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc45"
      },
      "tooltip" : "视图布局面板"
    }, {
      "accUserMode" : 0,
      "caption" : "没有应用功能",
      "itemType" : "MENUITEM",
      "name" : "menuitem29",
      "tooltip" : "没有应用功能"
    }, {
      "accUserMode" : 2,
      "caption" : "自定义表格视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem15",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0327078320"
      },
      "tooltip" : "自定义表格视图"
    }, {
      "accUserMode" : 2,
      "caption" : "视图布局（基础）",
      "itemType" : "MENUITEM",
      "name" : "menuitem18",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0606948444"
      },
      "tooltip" : "视图布局（基础）"
    }, {
      "accUserMode" : 2,
      "caption" : "空自定义视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem30",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0717277286"
      },
      "tooltip" : "空自定义视图"
    }, {
      "accUserMode" : 2,
      "caption" : "测试表格导航",
      "itemType" : "MENUITEM",
      "name" : "menuitem31",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0719249269"
      },
      "tooltip" : "测试表格导航"
    }, {
      "accUserMode" : 2,
      "caption" : "数据容器测试",
      "itemType" : "MENUITEM",
      "name" : "menuitem37",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0804536999"
      },
      "tooltip" : "数据容器测试"
    }, {
      "accUserMode" : 2,
      "caption" : "部件自动加载测试",
      "itemType" : "MENUITEM",
      "name" : "menuitem41",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0919473925"
      },
      "tooltip" : "部件自动加载测试"
    }, {
      "accUserMode" : 2,
      "caption" : "导航栏自动加载测试",
      "itemType" : "MENUITEM",
      "name" : "menuitem42",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0919664061"
      },
      "tooltip" : "导航栏自动加载测试"
    } ],
    "tooltip" : "面板"
  }, {
    "accUserMode" : 0,
    "caption" : "树",
    "itemType" : "MENUITEM",
    "name" : "menuitem16",
    "getPSAppMenuItems" : [ {
      "accUserMode" : 2,
      "caption" : "测试树视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem17",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc57"
      },
      "tooltip" : "测试树视图"
    }, {
      "accUserMode" : 2,
      "caption" : "树刷新测试",
      "itemType" : "MENUITEM",
      "name" : "menuitem47",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0928068341"
      },
      "tooltip" : "树刷新测试"
    } ],
    "tooltip" : "树"
  }, {
    "accUserMode" : 2,
    "caption" : "逻辑测试",
    "itemType" : "MENUITEM",
    "name" : "menuitem19",
    "getPSAppFunc" : {
      "modelref" : true,
      "id" : "UsrAppFunc0614027401"
    },
    "tooltip" : "逻辑测试"
  }, {
    "accUserMode" : 2,
    "caption" : "行编辑",
    "itemType" : "MENUITEM",
    "name" : "menuitem20",
    "getPSAppFunc" : {
      "modelref" : true,
      "id" : "UsrAppFunc0625331880"
    },
    "tooltip" : "行编辑"
  }, {
    "accUserMode" : 2,
    "caption" : "多编辑",
    "itemType" : "MENUITEM",
    "name" : "menuitem32",
    "getPSAppFunc" : {
      "modelref" : true,
      "id" : "UsrAppFunc0725770991"
    },
    "tooltip" : "多编辑"
  }, {
    "accUserMode" : 0,
    "caption" : "单数据",
    "itemType" : "MENUITEM",
    "name" : "menuitem33",
    "getPSAppMenuItems" : [ {
      "accUserMode" : 2,
      "caption" : "实体门户",
      "itemType" : "MENUITEM",
      "name" : "menuitem34",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "AppFunc83"
      },
      "tooltip" : "实体门户"
    }, {
      "accUserMode" : 2,
      "caption" : "禁止选择",
      "itemType" : "MENUITEM",
      "name" : "menuitem49",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc1008966029"
      },
      "tooltip" : "禁止选择"
    } ],
    "tooltip" : "单数据"
  }, {
    "accUserMode" : 0,
    "caption" : "多数据",
    "itemType" : "MENUITEM",
    "name" : "menuitem35",
    "getPSAppMenuItems" : [ {
      "accUserMode" : 2,
      "caption" : "数据选择视图",
      "itemType" : "MENUITEM",
      "name" : "menuitem36",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0803711274"
      },
      "tooltip" : "数据选择视图"
    }, {
      "accUserMode" : 2,
      "caption" : "快速分组",
      "itemType" : "MENUITEM",
      "name" : "menuitem48",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc1008306087"
      },
      "tooltip" : "快速分组"
    }, {
      "accUserMode" : 2,
      "caption" : "搜索栏测试",
      "itemType" : "MENUITEM",
      "name" : "menuitem50",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc1012488072"
      },
      "tooltip" : "搜索栏测试"
    }, {
      "accUserMode" : 2,
      "caption" : "卡片有分页",
      "itemType" : "MENUITEM",
      "name" : "menuitem51",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc1023306987"
      },
      "tooltip" : "卡片有分页"
    }, {
      "accUserMode" : 2,
      "caption" : "卡片无分页",
      "itemType" : "MENUITEM",
      "name" : "menuitem52",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc1023968131"
      },
      "tooltip" : "卡片无分页"
    }, {
      "accUserMode" : 2,
      "caption" : "有分页列表",
      "itemType" : "MENUITEM",
      "name" : "menuitem53",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc1023540911"
      },
      "tooltip" : "有分页列表"
    }, {
      "accUserMode" : 2,
      "caption" : "无分页列表",
      "itemType" : "MENUITEM",
      "name" : "menuitem54",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc1023896623"
      },
      "tooltip" : "无分页列表"
    } ],
    "tooltip" : "多数据"
  }, {
    "accUserMode" : 2,
    "caption" : "kanban",
    "itemType" : "MENUITEM",
    "name" : "menuitem38",
    "getPSAppFunc" : {
      "modelref" : true,
      "id" : "UsrAppFunc0829764295"
    },
    "tooltip" : "kanban"
  }, {
    "accUserMode" : 0,
    "caption" : "数据",
    "itemType" : "MENUITEM",
    "name" : "menuitem39",
    "getPSAppMenuItems" : [ {
      "accUserMode" : 2,
      "caption" : "歌曲",
      "itemType" : "MENUITEM",
      "name" : "menuitem40",
      "getPSAppFunc" : {
        "modelref" : true,
        "id" : "UsrAppFunc0906889696"
      },
      "tooltip" : "歌曲"
    } ],
    "tooltip" : "数据"
  } ],
  "enableCustomize" : false,
  "name" : "apptestindexview",
  "modelid" : "89E33DEF-F919-4067-A6F1-4FBB67232FC6",
  "modeltype" : "PSAPPMENU"
}